Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Class SAXSourceBase

    java.lang.Object
      de.grogra.pf.io.FilterSourceBase
          de.grogra.pf.io.SAXSourceBase

All Implemented Interfaces:
  FilterSource, SAXSource, RegistryContext

Direct Known Subclasses:
  GraphXMLSource

    public abstract class SAXSourceBase

extends FilterSourceBase
implements SAXSource

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Field Summary
`protected boolean` | `provideNamespaces`
`protected boolean` | `providePrefixes`

Fields inherited from interface de.grogra.pf.io.SAXSource
`NAMESPACE_PREFIXES, NAMESPACES`

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Constructor Summary
`SAXSourceBase(IOFlavor flavor, Registry reg, ModifiableMap metaData)`

Method Summary
`boolean` | `getFeature(java.lang.String name)`
`void` | `setFeature(java.lang.String name, boolean value)`

Methods inherited from class de.grogra.pf.io.FilterSourceBase
`getFilter, getFlavor, getMetaData, getRegistry, initProgressMonitor, setMetaData, setProgress, setProgress0, setProgressImpl, toString, useAutoProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.pf.io.SAXSource
`parse`

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, getSystemId, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Field Detail

### provideNamespaces

    protected boolean provideNamespaces

### providePrefixes

    protected boolean providePrefixes

Constructor Detail

### SAXSourceBase

    public SAXSourceBase(IOFlavor flavor,
                         Registry reg,
                         ModifiableMap metaData)

Method Detail

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException

  Specified by:
    `getFeature` in interface `SAXSource`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException

  Specified by:
    `setFeature` in interface `SAXSource`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD